﻿Public Class Form1
    Dim Cls_WinEnd As New NSDWinEnd

    #Region "Sub Form1_Load : Loadイベント."
        Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Try
                With Me.LV_Address
                    .Columns(0).Width = 150
                    .Columns(1).Width = 150
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_ShutDown_Click : シャットダウン."
        Private Sub Btn_ShutDown_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ShutDown.Click
            Try
                If MsgBox("シャットダウンを行います。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    ' シャットダウンを行います.
                    Cls_WinEnd.MyWinShutDown()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Logoff_Click : ログオフ."
        Private Sub Btn_Logoff_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Logoff.Click
            Try
                If MsgBox("ログオフします。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    Cls_WinEnd.MyWinLogoff()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Reboot_Click : 再起動."
        Private Sub Btn_Reboot_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Reboot.Click
            Try
                If MsgBox("再起動します。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    Cls_WinEnd.MyWinReboot()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RebootDlg_Click : 再起動ダイアログ."
        Private Sub Btn_RebootDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RebootDlg.Click
            Try
                Cls_WinEnd.WinRestartDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_ShutDownDlg_Click : シャットダウンダイアログ."
        Private Sub Btn_ShutDownDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ShutDownDlg.Click
            Try
                Cls_WinEnd.WinShutDownDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_EndDlg_Click : 終了ダイアログ."
        Private Sub Btn_EndDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_EndDlg.Click
            Try
                Cls_WinEnd.WinEndDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RShutDown_Click : リモートコンピュータをシャットダウン."
        Private Sub Btn_RShutDown_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RShutDown.Click
            Try
                Dim Str_Computer As String = Me.Txt_Computer.Text

                If String.IsNullOrEmpty(Str_Computer) Then
                    MsgBox("コンピュータ名を入力してください。")
                Else
                    If MsgBox("コンピュータ「" & Str_Computer & "」をシャットダウンします。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        Cls_WinEnd.RemoteShutDown(Str_Computer)
                    End If
                End If

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RReboot_Click : リモートコンピュータを再起動します."
        Private Sub Btn_RReboot_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RReboot.Click
            Try
                Dim Str_Computer As String = Me.Txt_Computer.Text

                If String.IsNullOrEmpty(Str_Computer) Then
                    MsgBox("コンピュータ名を入力してください。")
                Else
                    If MsgBox("コンピュータ「" & Str_Computer & "」を再起動します。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        Cls_WinEnd.RemoteReboot(Str_Computer)
                    End If
                End If

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_WakeOnLan_Click : "
        Private Sub Btn_WakeOnLan_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_WakeOnLan.Click
            Try
                Dim Str_MacAddress As String = Me.Txt_WOL.Text

                If String.IsNullOrEmpty(Str_MacAddress) Then
                    MsgBox("Macアドレスを入力してください。")
                Else
                    Dim Str_Msg As String = Nothing

                    Str_Msg = "Wake On Lanで電源を入れるには、電源を入れる側のコンピュータの設定(BIOS、LAN等)が行われている必要があります。" & vbcrlf & vbcrlf
                    Str_Msg &= "Macアドレス「" & Str_MacAddress & "」の電源を入れます。" & vbCrLf & "よろしいですか？"

                    If MsgBox(Str_Msg, MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        Cls_WinEnd.WakeOnLan(Str_MacAddress)
                    End If
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Display_Click : ディスプレイの電源を切って、入れます."
        Private Sub Btn_Display_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Display.Click
            Try
                MsgBox("ディスプレイの電源を切って、10秒後に電源を入れます。" & vbCrLf & "※キーボード入力またはマウスの移動が発生した場合は、電源ONの命令を待たずに電源が入ります。" )

                Cls_WinEnd.MoniterOff()
                Me.Lbl_PowerOnOff.Visible = True
                Application.DoEvents()
                System.Threading.Thread.Sleep(10000)
                Me.Lbl_PowerOnOff.Visible = False

                Cls_WinEnd.MoniterOn()

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Address_Click : アドレスの取得."
        Private Sub Btn_Address_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Address.Click
            Try
                With Me.LV_Address
                    .Items.Clear

                    Dim Str_IPAddress() As String = Cls_WinEnd.GetIPAddress(Me.Txt_Address.Text)
                    If Not Str_IPAddress Is Nothing Then
                        For Int_Loop As Integer = 0 To Str_IPAddress.Length - 1
                            Dim Str_MacAddress As String = Cls_WinEnd.IPToMacAddressString(Str_IPAddress(Int_Loop))

                            Dim LVItem As ListViewItem = .Items.Add(Str_IPAddress(Int_Loop))
                            If Not String.IsNullOrEmpty(Str_MacAddress) Then
                                LVItem.SubItems.Add(Str_MacAddress)
                            End If
                        Next
                    End If
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

End Class
